Skip to main content
GET
/
api
/
v2
/
client-forms
/
{client_form_id}
/
submissions
Get Form Submissions
curl --request GET \
  --url https://api.voiceaiwrapper.app/api/v2/client-forms/{client_form_id}/submissions \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "Submissions retrieved successfully",
  "data": {
    "submissions": [
      {
        "submission_id": "<string>",
        "client_id": "<string>",
        "form_id": "<string>",
        "response_data": {},
        "is_test": true,
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

client_form_id
string
required

Global ID of the client form. Required.

Example:

"Q2xpZW50Rm9ybToxMjM="

Query Parameters

client_id
string

Global ID of the client to filter submissions by. Optional.

Example:

"Q2xpZW50OjEyMw=="

Response

Submissions retrieved successfully. Returns an array of submission objects ordered by creation date descending.

status
string
Example:

"success"

message
string
Example:

"Submissions retrieved successfully"

data
object